We have found there is an issue opening Budget years using GIFTS 6.7.1. Users are able to install GIFTS 6.7 and open the same budget year successfully. 

If you do not have GIFTS 6.7 (version prior to GIFTS 6.7.1) you may obtain it by contacting Blackbaud Technical Support via Case Central : https://goto.blackbaud.com or by calling (877) 704-3343

You or your IT staff can reference the installation steps here: https://www.blackbaud.com/files/support/guides/microedge/gifts/gifts67_installationguide.pdf

Please note: We highly advise you do not uninstall any version of GIFTS to perform the downgrade.

You will need to set up GIFTS in another server location and then re-run workstation installs for users who are using a client-server environment. For Single User installs of GIFTS 6.7.1, please set up another folder for GIFTS 6.7 and direct your gifts.ini to the GIFTS 6.7 install. 

Once the installation is complete, migrate your files to the GIFTS 6.7 location so you may retain your data in the new environment. 

At this time you should now be able to open your budget year and use GIFTS as normal.